# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-SVG-Graph
Version:        0.02
Release:        alt2_12
Summary:        Visualize your data in Scalable Vector Graphics (SVG) format
License:        Artistic 2.0
Group:          Development/Perl
URL:            http://search.cpan.org/dist/SVG-Graph/
Source0:        http://www.cpan.org/modules/by-module/SVG/SVG-Graph-%{version}.tar.gz
Source1:        LICENSE.fedora
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
# Run-time
BuildRequires:  perl(base.pm)
BuildRequires:  perl(constant.pm)
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Math/Spline.pm)
BuildRequires:  perl(Statistics/Descriptive.pm)
BuildRequires:  perl(SVG.pm)
BuildRequires:  perl(Tree/DAG_Node.pm)
# Tests
BuildRequires:  perl(Test.pm)
Requires:       perl(Statistics/Descriptive.pm) >= 2.6
Requires:       perl(SVG.pm) >= 2.27
Requires:       perl(Tree/DAG_Node.pm) >= 1.04

# Filter under-specified dependencies

Source44: import.info
%filter_from_requires /^^perl\\((Statistics::Descriptive/d
%filter_from_requires /^SVG/d
%filter_from_requires /^Tree::DAG_Node)\\)$/d

%description
SVG::Graph is a suite of perl modules for plotting data. SVG::Graph
currently supports plots of one-, two- and three-dimensional data, as well
as N-ary rooted trees.

%prep
%setup -q -n SVG-Graph-%{version}
cp %{SOURCE1} .

# remove all execute bits from eg subdirectory
find eg -type f -exec chmod -x {} 2>/dev/null ';'

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README LICENSE.fedora
%doc eg
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2_12
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2_11
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt2_9
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1_9
- fc import

